/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "grass.pmh"
#include "fe/plugin.h"
#include "platform/dlCore.cc"

using namespace fe;

extern "C"
{

FE_DL_EXPORT void ListDependencies(List<String*>& list)
{
	list.append(new fe::String("fexOperatorDL"));
}

FE_DL_EXPORT Library* CreateLibrary(sp<Master> spMaster)
{
	//* TODO check for redundancy
	fe::assertMath(spMaster->typeMaster());

	Library* pLibrary = new Library();

	pLibrary->add<BladeOp>(
			"OperatorSurfaceI.BladeOp.fe");
	pLibrary->add<DodgeOp>(
			"OperatorSurfaceI.DodgeOp.fe");
	pLibrary->add<SpineFitOp>(
			"OperatorSurfaceI.SpineFitOp.fe");
	pLibrary->add<TwistBindOp>(
			"OperatorSurfaceI.TwistBindOp.fe");
	pLibrary->add<TwistWrapOp>(
			"OperatorSurfaceI.TwistWrapOp.fe");

	return pLibrary;
}

}
